package com.cooleshow.base.widgets.loading;


import com.cooleshow.base.widgets.loading.sprite.Sprite;
import com.cooleshow.base.widgets.loading.style.Circle;
import com.cooleshow.base.widgets.loading.style.FadingCircle;
import com.cooleshow.base.widgets.loading.style.ThreeBounce;

/**
 * Created by ybq.
 */
public class SpriteFactory {

    public static Sprite create(Style style) {
        Sprite sprite = null;
        switch (style) {
            case CIRCLE:
                sprite = new Circle();
                break;
            case FADING_CIRCLE:
                sprite = new FadingCircle();
                break;
            case THREE_BOUNCE:
                sprite = new ThreeBounce();
                break;
            default:
                break;
        }
        return sprite;
    }
}
